The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Can't locate cPAddonsConf.pm in @INC (@INC

Discussion in 'General Discussion' started by PanelGuy, Mar 11, 2006.

  1. PanelGuy

    PanelGuy Well-Known Member

    Joined:
    Oct 13, 2004
    Messages:
    106
    Likes Received:
    0
    Trophy Points:
    16
    This morning I recieved the following error. How can I fix this? Any help is greatly appreciated.


    Can't locate cPAddonsConf.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.6/i386-linux-thread-multi /usr/lib/perl5/5.8.6 . /usr/local/cpanel /usr/local/cpanel/whostmgr/docroot/cgi /usr/local/cpanel/cpaddons /usr/local/cpanel /scripts /usr/local/cpanel /usr/local/cpanel /usr/local/cpanel /usr/local/cpanel /scripts /usr/local/cpanel /usr/local/cpanel /usr/local/cpanel /usr/local/cpanel /scripts /usr/local/cpanel/cpaddons/) at /usr/local/cpanel/whostmgr/docroot/cgi/cpaddons_report.pl line 15.
    BEGIN failed--compilation aborted at /usr/local/cpanel/whostmgr/docroot/cgi/cpaddons_report.pl line 15.
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Try a forced upcp update:

    /scripts/upcp --force

    Are you running EDGE by any chance?
     
  3. eger

    eger Well-Known Member

    Joined:
    Feb 28, 2003
    Messages:
    128
    Likes Received:
    0
    Trophy Points:
    16
    I have the same error while running the latest EDGE build. Might be just a bug in EDGE. I don't see what it affects yet though and have no one complaining.
     
  4. maverick23

    maverick23 Well-Known Member

    Joined:
    Feb 23, 2005
    Messages:
    92
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    DataCenter Provider
    even i am getting the same error... m using WHM 10.8.0 cPanel 10.8.2-E33
    CentOS 3.7 i686 - WHM X v3.1.0

    is there any way i can fix it... what exactly is this error all about?
     
  5. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    In the WHM's sidebar locate the "Install cPAddon Scripts" link. On the resulting page, tick the checkbox for "Force Refresh of All cPAddon Sources" and click the update button. That should resolve this issue. HTH.
     
  6. IIIBradIII

    IIIBradIII Member

    Joined:
    Apr 13, 2003
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Ok I've looked all over WHM and I cannot find these links to save my life. Anyone mind helping out an apparently blind admin?
     
  7. IIIBradIII

    IIIBradIII Member

    Joined:
    Apr 13, 2003
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Is it safe to assume that no one else knows where this link is either? And if so, how else can this fix be performed?
     
  8. mruncieman

    mruncieman Member

    Joined:
    Jun 18, 2004
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    I did this and it helped, though I was missing cPaddonsMD5::Cpanel.

    The link is located near the bottom of the WHM left bar, under the cPanel section and is labled "Install cPAddons"
     
  9. mruncieman

    mruncieman Member

    Joined:
    Jun 18, 2004
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    What version of WHM/cPanel are you running? I'm running:

    WHM 10.8.0 cPanel 10.9.0-R37
     
  10. IIIBradIII

    IIIBradIII Member

    Joined:
    Apr 13, 2003
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    That's my problem then I suppose - I have nothing labeled "Install cPAddons". Here is what I have in the cPanel section:

    Addon Modules
    Branding
    Reset a Shopping Cart
    Modify cPanel/WHM News
    Upgrade to Latest Version
    Reset a Mailman Password
    Enable/Disable Outlook AutoConfig
    Addon Scripts
    Synchronize FTP Passwords
     
  11. IIIBradIII

    IIIBradIII Member

    Joined:
    Apr 13, 2003
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    So am I missing something there that everyone else has? Or should I be fixing this another way?
     
  12. proton2112

    proton2112 Registered

    Joined:
    Jan 2, 2004
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    getting the same on two servers in the past week

    server 1) WHM 10.8.0 cPanel 10.9.0-R44 / RedHat Enterprise 3 i686 - WHM X v3.1.0

    server 2) WHM 10.8.0 cPanel 10.9.0-R34 / RedHat Enterprise 3 x86_64 - WHM X v3.1.0
     
Loading...

Share This Page